<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Mpengguna extends CI_Model
{

    public $table = "ms_pengguna";
    public $id = "id_inc";
    public $order = "desc";

    function __construct()
    {
        parent::__construct();
    }

    // datatables
    function json() {
        $this->datatables->select('A.ID_INC,NAMA,USERNAME,NAMA_ROLE');
        $this->datatables->from('MS_PENGGUNA A');
        //add this line for join
        $this->datatables->join('MS_ROLE B', 'A.MS_ROLE_ID = B.ID_INC');
        $this->datatables->add_column('action', '<div class="btn-group">'.anchor(site_url('Setting/pengguna/update/$1'),'<i class="fa fa-edit"></i>','class="btn btn-xs btn-success"').anchor(site_url('Setting/pengguna/delete/$1'),'<i class="fa fa-trash"></i>','class="btn btn-xs btn-danger" onclick="javasciprt: return confirm(\'Apakah anda yakin?\')"').'</div>', 'ID_INC');
        return $this->datatables->generate();
    }

    // get all
    function get_all()
    {
        $this->db->order_by($this->id, $this->order);
        return $this->db->get($this->table)->result();
    }

    // get data by id
    function get_by_id($id)
    {
        //$this->db->where($this->id, $id);
        return $this->db->query("select * from ms_pengguna where id_inc='$id'")->row();
    }
    
    // get total rows
    function total_rows($q = NULL) {
        $this->db->like('kode_pengguna', $q);
    $this->db->or_like('username', $q);
    $this->db->or_like('password', $q);
    $this->db->or_like('nama_pengguna', $q);
    $this->db->or_like('kode_group', $q);
    $this->db->or_like('nip', $q);
    $this->db->from($this->table);
        return $this->db->count_all_results();
    }

    // get data with limit and search
    function get_limit_data($limit, $start = 0, $q = NULL) {
        $this->db->order_by($this->id, $this->order);
        $this->db->like('kode_pengguna', $q);
    $this->db->or_like('username', $q);
    $this->db->or_like('password', $q);
    $this->db->or_like('nama_pengguna', $q);
    $this->db->or_like('kode_group', $q);
    $this->db->or_like('nip', $q);
    $this->db->limit($limit, $start);
        return $this->db->get($this->table)->result();
    }

    // insert data
    function insert($data)
    {
        $this->db->insert($this->table, $data);
    }

    // update data
    function update($id, $data)
    {
        $this->db->where($this->id, $id);
        $this->db->update($this->table, $data);
    }

    // delete data
    function delete($id)
    {
        $this->db->where($this->id, $id);
        $this->db->delete($this->table);
    }

}

/* End of file Mpengguna.php */
/* Location: ./application/models/Mpengguna.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2017-04-29 07:13:04 */
/* http://harviacode.com */